import { registerView } from './render'
import DddBuilder from './components/Builder.vue'
import DddTextView from './views/TextView.vue'
import DddImageView from './views/ImageView.vue'
import DddAudioView from './views/AudioView.vue'
import DddEachView from './views/EachView.vue'
import RenderTemplate from './views/RenderTemplate.vue'

export type {
  CanvasConfig,
  PageConfig,
  ConfiguratorType,
  EngineContext,
  Exported,
} from './context'

export { render } from './render'
export {
  useContext,
  useBlockId,
  useSource,
  useModule,
  useParentViewId,
} from './context'
export { hash, valueOf } from './utils'
export * from './types'

export default DddBuilder

registerView({
  text: DddTextView,
  image: DddImageView,
  audio: DddAudioView,
  video: DddAudioView,
  each: DddEachView,
  template: RenderTemplate
})
