import type { CSSProperties } from 'vue'
import type { ClipBehavior,DynamicValue } from '../types'

export function clip(clip: DynamicValue<ClipBehavior> | undefined): CSSProperties | undefined {
  switch (clip) {
    case 'autoX':
      return {
        overflowX: 'auto',
        overflowY: 'hidden',
      }
    case 'autoY':
      return {
        overflowX: 'hidden',
        overflowY: 'auto',
      }
    default:
      return {
        overflow: clip,
      }
  }
}
