import type { DynamicValue } from "../types"
import type { EngineContext } from "../context"

const isNumber = (num: number):boolean => {
  return !isNaN(num)
}
export function dynamic<T>(ctx: EngineContext, blockId: string, value: DynamicValue<T>): T {
  if (typeof value === 'string' && value.startsWith('@@')) {
    const val = ctx.value(blockId,value)
    if(isNumber(val as number)){
      return parseFloat(val as string) as T
    }
    return  ctx.value(blockId, value) as T
  }
  return value as T
}
