import type { CSSProperties } from 'vue'
import { unit } from './unit'

export function gap(gap: number | [number, number] | undefined): CSSProperties | undefined {
  if (!gap) {
    return undefined
  }
  if (Array.isArray(gap)) {
    return {
      rowGap: unit(gap[0]),
      columnGap: unit(gap[1]),
    }
  }
  return {
    gap: unit(gap),
  }
}
