import type { CSSProperties } from 'vue'
import type { Axis, DynamicTheme, ToStatic } from '../types'
import { unit } from './unit'

export function size(
  axis: Axis | undefined,
  theme: DynamicTheme | undefined,
  value: ToStatic,
): CSSProperties {
  const width = unit(value(theme?.width))
  const height = unit(value(theme?.height))
  return {
    width,
    height,
    flexBasis: value(theme?.basis) ?? (axis === 'x' ? width : axis === 'y' ? height : undefined),
    flexGrow: value(theme?.grow)?.toString(),
    flexShrink: value(theme?.shrink)?.toString(),
  }
}
