import type { CSSProperties } from "vue";
import type { DynamicTheme, ToStatic } from "../types";
import { unit } from ".";

export function stack(
  theme: DynamicTheme | undefined,
  value: ToStatic,
): CSSProperties | undefined {
  if (theme == null) {
    return undefined
  }
  return {
    position: value(theme.position),
    zIndex: value(theme.zIndex),
    top: unit(value(theme.top)),
    bottom: unit(value(theme.bottom)),
    left: unit(value(theme.left)),
    right: unit(value(theme.right)),
  }
}
