import { Module } from '../engineer'
import { createUniqueId } from '../engineer/utils'

const module:Module = {
  title: '导航条',
  vid: createUniqueId(),
  mid: createUniqueId(),
  maxReferenceCount: -1,
  referenceCount: 0,
  image: undefined,
  configs: [
    {
      help: '帮助',
      addable: true,
      type: 'list',
      field: 'items',
      label: '导航条',
      configs: [
        {
          type: 'image',
          label: '分类图片',
          field: 'itemImage',
          // 表示内联数据
          inlines: [{
            type: 'text',
            field: 'link',
            label: '链接',
            help: '请输入链接', // 自动生成："请输入${label}"
          },
            {
              type: 'text',
              label: '自定义标题',
              field: 'title',
            },
          ]
        },
      ]
    },
  ],
  init: {
    theme: {
      color: '#fff',
    },
    items: [
      {
        title: '标题',
        link: 'link'
      }
    ]
  },
  theme: {
    padding: 12,
    color: '@@theme.color',
  },
  children: {
    theme: {
      width: '100%',
      clip: 'autoX',
      whiteSpace: 'nowrap',
      flexible: true,
      crossAlign:'start'
    },
    children: {
      type: 'each',
      key: 'items',
      handle: {
        theme: {
          width: 60,
          height: 80,
          display: 'inline-block',

          margin: {
            right: 10
          },
        },
        children:[
          {
            theme:{
              width:60,
              height:60,
              radius: 30,
              color: 'pink',
              clip: 'hidden'
            },
            children:'图片'
          },
          {
            theme:{
              width:60,
              height:20,
              textAlign:'center',
              fontSize: 12,
              whiteSpace: 'nowrap',
              clip: 'hidden'
            },
            children:{
              type: 'text',
              key:'.title'
            }
          }
        ],
      }
    },
  }
}
export default module
