import { createUniqueId } from '../engineer/utils'
import { Module } from '../engineer'

const module: Module = {
  title: '自定义标题',
  vid: createUniqueId(),
  mid: createUniqueId(),
  maxReferenceCount: -1,
  referenceCount: 0,
  image: undefined,
  configs: [
    {
      type: 'text',
      field: 'Title',
      label: '标题',
      help: '自定义标题', // 自动生成："请输入${label}"
    },
  ],
  init: {
    Title: '猜你喜欢',
    theme:{
      color: '#fff',
      textColor: '#333'
    }
  },
  theme: {
    padding: {
      vertical: 15,
      horizontal: 15,
    },
    color: '@@theme.color',
    textColor: '@@theme.textColor',
    fontSize: 18,
    fontWeight: 900,
  },
  children: {
    type: 'text',
    key: 'Title'
  }

}
export default module



