import { createUniqueId } from '../engineer/utils'
import type { Module } from '../engineer'

const module: Module = {
  title: '图片魔方',
  vid: createUniqueId(),
  mid: createUniqueId(),
  maxReferenceCount: -1,
      referenceCount: 0,
      image: undefined,
      init: {
        setting:{
          style: '#two'
        },
        items:[
          {image:''},
          {image:''},
          {image:''},
          {image:''},
        ]
      },
      templates:{
        '#one':{
          theme: {
            color: 'white',
            padding: 5,
            width: '100%',
            height: 375,
            flexible: true,
            mainAlign: 'center',
            crossAlign: 'center',
          },
          children: {
            type: 'text',
            key: 'items.0.link'
}
        },
        '#two':{
          theme: {
            color: 'white',
            padding: 5,
            width: '100%',
            height: 200,
            flexible: true,
            mainAlign: 'between',
            crossAlign: 'center',
          },
          children: [{
            theme:{width:'49%',flexible: true,
              mainAlign: 'center',
              crossAlign: 'center',},
            children: { type: 'text', key: 'items.0.link' }
          },{
            children: {
              type: 'text',
              key: 'items.1.link'
            },
            theme:{width:'49%',flexible: true,
              mainAlign: 'center',
              crossAlign: 'center',}
          }]
        },
        '#four':{
          theme: {
            color: 'white',
            padding: 5,
            width: '100%',
            height: 375,
            flexible: true,
            mainAlign: 'between',
            crossAlign: 'center',
          },
          children: [{
            theme:{width:'49%',flexible: true,
              mainAlign: 'center',
              crossAlign: 'center',height:'100%'},
            children: { type: 'text', key: 'items.0.link' }
          },{
            children: [
              {
                theme:{width:'100%',flexible: true,
                  mainAlign: 'center',
                  crossAlign: 'center',height:'49%'},
                children: { type: 'text', key: 'items.1.link' }
              },
              {
                theme:{width:'100%',flexible: true,
                  mainAlign: 'center',
                  crossAlign: 'center',height:'49%'},
                children: { type: 'text', key: 'items.2.link' }
              },
            ],
            theme:{width:'49%',flexible:true,
              mainAlign: 'between',axis:"y",
             height:'100%'}
          }]
        },
        '#three':{
          theme: {
            color: 'white',
            padding: 5,
            width: '100%',
            height: 200,
            flexible: true,
            mainAlign: 'between',
            crossAlign: 'center',
          },
          children: [{
            theme:{width:'32%',flexible: true,
              mainAlign: 'center',
              crossAlign: 'center',height:'100%'},
            children: { type: 'text', key: 'items.0.link' }
          },
            {theme:{width:'32%',flexible: true,
                mainAlign: 'center',
                crossAlign: 'center',height:'100%'},
              children: { type: 'text', key: 'items.1.link' }},
            {theme:{width:'32%',flexible: true,
                mainAlign: 'center',
                crossAlign: 'center',height:'100%'},
              children: { type: 'text', key: 'items.2.link' }},
          ]
        },
        '#five':{
            theme: {
              color: 'white',
              padding: 5,
              width: '100%',
              height: 375,
              flexible: true,
              mainAlign: 'between',
              crossAlign: 'center',
            },
            children: [
              {
                theme:{width:'49%',flexible:true,
                  mainAlign: 'between',axis:"y",
                  height:'100%'},
                children: [
                  {
                    theme:{width:'100%',flexible: true,
                      mainAlign: 'center',
                      crossAlign: 'center',height:'49%'},
                    children: { type: 'text', key: 'items.1.link' }
                  },
                  {
                    theme:{width:'100%',flexible: true,
                      mainAlign: 'center',
                      crossAlign: 'center',height:'49%'},
                    children: { type: 'text', key: 'items.2.link' }
                  },
                ],
              },
              {
                theme: {
                  width: '49%', flexible: true,
                  mainAlign: 'between', axis: "y",
                  height: '100%'
                },
                children: [
                  {
                    theme: {
                      width: '100%', flexible: true,
                      mainAlign: 'center',
                      crossAlign: 'center', height: '49%'
                    },
                    children: { type: 'text', key: 'items.1.link' }
                  },
                  {
                    theme: {
                      width: '100%', flexible: true,
                      mainAlign: 'center',
                      crossAlign: 'center', height: '49%'
                    },
                    children: { type: 'text', key: 'items.2.link' }
                  },
                ],
              },
            ]
          },
      },
      configs:[
        {
          type: 'object',
          field: 'setting',
          label: '图片魔方样式选择',
          configs: [{
            type: 'mark',
            field: 'style',
            label: '',
            values: [
              { label: '口', value: '#one' },
              { label: '口口', value: '#two' },
              { label: '口口口', value: '#three' },
              { label: '口日', value: '#four' },
              { label: '田', value: '#five' },
            ],
          }]
        },
        {
          addable: false,
          type: 'list',
          field: 'items',
          label: '图片',
          configs: [
            {
              type: 'image',
              label: '产品图片',
              field: 'image',
              // 表示内联数据
              inlines: [{
                type: 'text',
                field: 'link',
                label: '链接',
                help: '请输入链接', // 自动生成："请输入${label}"
              }]
            },

          ]
        },
      ],
      theme:{
        padding:5,
        color:'white',
        height: 375
      },
      children: {
        type: 'template',
        key: 'setting.style'
      },
}
export default module
