import type { Module } from '../engineer'
import { createUniqueId } from '../engineer/utils'

const module:Module = {
  title: '搜索框',
  vid: createUniqueId(),
  mid: createUniqueId(),
  maxReferenceCount: -1,
  referenceCount: 0,
  image: undefined,
  configs: [
    {
      type: 'object',
      field: 'search',
      label: '搜索框',
      configs: [
        {
          required: true,
          type: 'text',
          label: '搜索框内容',
          field: 'innerText'
        },
        {
          type: 'boolean',
          field: 'showLogo',
          label: '是否展示左侧logo',
        }, {
          type: 'image',
          field: 'logoImg',
          label: '左侧logo',
        }
      ]
    },
  ],
  init: {
    search:{
      innerText:'猜你喜欢'
    }
  },
  templates: {
    'true': {
      theme: {},
      children: 'logo'
    },
    'false': {
      theme: {},
      children: ''
    }
  },
  theme: {
    display: 'flex',
    crossAlign: 'center',
    padding: {
      horizontal: 15,
      vertical: 8,
    },
    color: 'cyan'
  },
  children: [
    {
      children: {
        type: 'template',
        key: 'search.showLogo'
      },
    },
    {
      theme: { width: 10 },
    },
    {
      theme: {
        width: '60%',
        color: 'white',
        radius: 30.0,
        padding: {
          horizontal: 10,
          vertical: 5,
        },
        fontSize: 14,
      },
      children: {
        type: 'text',
        key: 'search.innerText'
      }
    }
  ]
}
export default module
